SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Defines | Functions

# sdh/util.cpp File Reference

Implementation of auxilliary utility functions for SDHLibrary-CPP. More...

`#include "sdhlibrary_settings.h"`
`#include <math.h>`
`#include <time.h>`
`#include <assert.h>`
`#include <iostream>`
`#include "util.h"`
Include dependency graph for util.cpp:

## Namespaces
namespace | SDH
## Defines
#define | _USE_MATH_DEFINES
## Functions
std::vector< int > | SDH::NumerifyRelease (char const *rev)
Auxiliary functions
bool | SDH::InIndex (int v, int max)
bool | SDH::InRange (double v, double min, double max)
bool | SDH::InRange (int n, double const *v, double const *min, double const *max)
double | SDH::ToRange (double v, double min, double max)
void | SDH::ToRange (int n, double *v, double const *min, double const *max)
void | SDH::ToRange (std::vector< double > &v, std::vector< double > const &min, std::vector< double > const &max)
void | SDH::ToRange (cSimpleVector &v, std::vector< double > const &min, std::vector< double > const &max)
double | SDH::Approx (double a, double b, double eps)
bool | SDH::Approx (int n, double *a, double *b, double *eps)
double | SDH::DegToRad (double d)
double | SDH::RadToDeg (double r)
void | SDH::SleepSec (double t)
int | SDH::CompareReleases (char const *rev1, char const *rev2)
| compare release strings

## Detailed Description

Implementation of auxilliary utility functions for SDHLibrary-CPP.

## General file information

Author:
  Dirk Osswald

Date:
  2007-02-19

## Copyright

- Copyright (c) 2007 SCHUNK GmbH & Co. KG

## Define Documentation

#define _USE_MATH_DEFINES